Google Scholar Search API
Comprehensive Google Scholar SERP API to scrape academic papers, patents, and legal documents. Filter by date, relevance, and citation count for precise research data and systematic literature reviews.
Tags: Google API
Parameters
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
| query | Yes | string | The academic search query (e.g., 'machine learning', 'CRISPR gene editing'). Supports advanced operators like 'author:'. | |
| html | No | boolean | false | Set to true to return the raw HTML of the Google Scholar search page. |
| cites | No | string | Return articles that cite the article with the specified ID. | |
| as_ylo | No | string | Minimum publication year filter (e.g., '2020'). | |
| as_yhi | No | string | Maximum publication year filter (e.g., '2024'). | |
| scisbd | No | string | Controls whether to return only abstract results (1) or all results (0). | |
| cluster | No | string | The unique ID of an article cluster to retrieve all versions of a specific work. | |
| language | No | string | en | Set the language for the results using its two-letter code (e.g., 'en' for English, 'fr' for French). See Google Language. |
| lr | No | string | Restrict results to one or more languages using the 'lang_{language_code}' format (e.g., 'lang_en'). See Google LR Language. | |
| page | No | integer | 0 | The results page number. Use 0 for the first page, 1 for the second, and so on. |
| results | No | integer | 10 | The number of search results to return per page. |
| as_sdt | No | string | Advanced filter for specific document types or legal jurisdictions. E.g., '7' to include patents. | |
| safe | No | string | off | SafeSearch filter setting. Set to 'active' to filter adult content, or 'off' to disable it. |
| filter | No | string | Toggle 'Similar Results' and 'Omitted Results' filters. Set to '1' (default) to enable, '0' to disable. | |
| as_vis | No | string | Controls whether citations are included in the results: 1 = exclude, 0 (default) = include. | |
| as_rr | No | string | Controls whether to show only review articles (topic overviews or discussions of the searched works/authors). Set to 1 to enable the filter, or 0 (default) to return all results. |
Copy Request
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/scholar/search"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"query": "coffee"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Response
Example:
json
{
"code": 200,
"message": "success",
"data": {
"search_details": {
"query": "coffee",
"number_of_results": "About 4.660.000 results"
},
"profiles": {},
"scholar_results": [
{
"title": "The impact of coffee on health",
"title_link": "https://www.sciencedirect.com/science/article/pii/S0378512213000479",
"id": "sWzmct-yYzgJ",
"displayed_link": "A Cano-Marquina, JJ Tarín, A Cano - Maturitas, 2013 - Elsevier",
"snippet": "OBJECTIVE: Coffee is a beverage used worldwide. It includes a wide array of components that can have potential implication on health. We have reviewed publications on the impact of …",
"authors": [
{
"name": "A Cano-Marquina",
"link": "https://scholar.google.com/citations?user=nMS5yswAAAAJ&hl=en&oi=sra",
"author_id": "nMS5yswAAAAJ"
}
],
"inline_links": {
"versions": {
"total": "All 9 versions",
"link": "https://scholar.google.com/scholar?cluster=4063287961593474225&hl=en&as_sdt=0,5",
"cluster_id": "4063287961593474225"
},
"cited_by": {
"total": "Cited by 551",
"link": "https://scholar.google.com/scholar?cites=4063287961593474225&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:sWzmct-yYzgJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
}
},
{
"title": "The impact of coffee on health",
"title_link": "https://www.thieme-connect.com/products/all/doi/10.1055/s-0043-115007",
"id": "KVT-hW9IrDoJ",
"displayed_link": "K Nieber - Planta medica, 2017 - thieme-connect.com",
"snippet": "… coffee, indicating that besides caffeine other components contribute to the health protecting effects. For adults consuming moderate amounts of coffee (… information about coffee on health…",
"authors": [],
"inline_links": {
"versions": {
"total": "All 8 versions",
"link": "https://scholar.google.com/scholar?cluster=4227833794020660265&hl=en&as_sdt=0,5",
"cluster_id": "4227833794020660265"
},
"cited_by": {
"total": "Cited by 377",
"link": "https://scholar.google.com/scholar?cites=4227833794020660265&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:KVT-hW9IrDoJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
},
"resources": [
{
"title": "thieme-connect.com",
"type": "PDF",
"link": "https://www.thieme-connect.com/products/ejournals/pdf/10.1055/s-0043-115007.pdf"
}
]
},
{
"title": "Functional properties of coffee and coffee by-products",
"title_link": "https://www.sciencedirect.com/science/article/pii/S0963996911003449",
"id": "9WouRiFbIK4J",
"displayed_link": "P Esquivel, VM Jimenez - Food research international, 2012 - Elsevier",
"snippet": "… roasted coffee … coffee, coffee beans and by-products in terms of the associated potential health benefits. The data in this review have been organized in sections according to the coffee …",
"authors": [
{
"name": "P Esquivel",
"link": "https://scholar.google.com/citations?user=EpwJXskAAAAJ&hl=en&oi=sra",
"author_id": "EpwJXskAAAAJ"
},
{
"name": "VM Jimenez",
"link": "https://scholar.google.com/citations?user=_P0h0B8AAAAJ&hl=en&oi=sra",
"author_id": "_P0h0B8AAAAJ"
}
],
"inline_links": {
"versions": {
"total": "All 11 versions",
"link": "https://scholar.google.com/scholar?cluster=12547128760323697397&hl=en&as_sdt=0,5",
"cluster_id": "12547128760323697397"
},
"cited_by": {
"total": "Cited by 1371",
"link": "https://scholar.google.com/scholar?cites=12547128760323697397&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:9WouRiFbIK4J:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
},
"resources": [
{
"title": "ucr.ac.cr",
"type": "PDF",
"link": "https://www.kerwa.ucr.ac.cr/bitstreams/60a996d4-e07f-4aa8-88c1-833d541b69b6/download"
}
]
},
{
"title": "Components of coffee",
"title_link": "https://www.researchgate.net/profile/Maurice-Arnaud/publication/311253694_Metabolism_of_caffeine_and_other_components_of_coffee/links/58f1d0cfa6fdcc11e569e8e8/Metabolism-of-caffeine-and-other-components-of-coffee.pdf",
"id": "QwF9cuvhnCoJ",
"type": "[PDF]",
"displayed_link": "MJ Arnaud - Caffeine, coffee, and health, 1993 - researchgate.net",
"snippet": "The metabolism of coffee constituents such as trigonelline, chlorogenic acid with its two components, caffeic and quinic acids, are also presented. Other aromatic compounds present in …",
"authors": [],
"inline_links": {
"cited_by": {
"total": "Cited by 249",
"link": "https://scholar.google.com/scholar?cites=3070577447314194755&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:QwF9cuvhnCoJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
},
"resources": [
{
"title": "researchgate.net",
"type": "PDF",
"link": "https://www.researchgate.net/profile/Maurice-Arnaud/publication/311253694_Metabolism_of_caffeine_and_other_components_of_coffee/links/58f1d0cfa6fdcc11e569e8e8/Metabolism-of-caffeine-and-other-components-of-coffee.pdf"
}
]
},
{
"title": "Coffee",
"title_link": "https://link.springer.com/chapter/10.1007/978-3-030-24733-1_23",
"id": "F6FR6YN9nBsJ",
"displayed_link": "CF Carvalho, SM Carvalho, B Souza - Natural enemies of insect pests in …, 2019 - Springer",
"snippet": "… with coffee plants. Coffee crop management plays an important role in the settlement and maintenance of their populations. This chapter covers aspects related to the main coffee crop …",
"authors": [
{
"name": "SM Carvalho",
"link": "https://scholar.google.com/citations?user=70EjKtAAAAAJ&hl=en&oi=sra",
"author_id": "70EjKtAAAAAJ"
},
{
"name": "B Souza",
"link": "https://scholar.google.com/citations?user=GFIwzIsAAAAJ&hl=en&oi=sra",
"author_id": "GFIwzIsAAAAJ"
}
],
"inline_links": {
"versions": {
"total": "All 2 versions",
"link": "https://scholar.google.com/scholar?cluster=1989603140899545367&hl=en&as_sdt=0,5",
"cluster_id": "1989603140899545367"
},
"cited_by": {
"total": "Cited by 103",
"link": "https://scholar.google.com/scholar?cites=1989603140899545367&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:F6FR6YN9nBsJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
}
},
{
"title": "Coffee and health",
"title_link": "https://www.sciencedirect.com/science/article/pii/S2213422014000456",
"id": "CS4lXzLu_JkJ",
"type": "[HTML]",
"displayed_link": "JH Bae, JH Park, SS Im, DK Song - Integrative medicine research, 2014 - Elsevier",
"snippet": "… It has been told that coffee is a driving force for … to drink coffee, which suggests individual variation to coffee intolerance. The aim of this review is to briefly summarize the effects of coffee …",
"authors": [
{
"name": "SS Im",
"link": "https://scholar.google.com/citations?user=jfk9T2gAAAAJ&hl=en&oi=sra",
"author_id": "jfk9T2gAAAAJ"
}
],
"inline_links": {
"versions": {
"total": "All 11 versions",
"link": "https://scholar.google.com/scholar?cluster=11096005482046107145&hl=en&as_sdt=0,5",
"cluster_id": "11096005482046107145"
},
"cited_by": {
"total": "Cited by 213",
"link": "https://scholar.google.com/scholar?cites=11096005482046107145&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:CS4lXzLu_JkJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
},
"resources": [
{
"title": "sciencedirect.com",
"type": "HTML",
"link": "https://www.sciencedirect.com/science/article/pii/S2213422014000456"
}
]
},
{
"title": "Coffee and health: a review of recent human research",
"title_link": "https://www.tandfonline.com/doi/abs/10.1080/10408390500400009",
"id": "fSVlrXX7dIUJ",
"displayed_link": "JV Higdon, B Frei - Critical reviews in food science and nutrition, 2006 - Taylor & Francis",
"snippet": "… coffee during brewing, but are mostly removed from coffee by … coffee, Turkish coffee, and French press (cafetiere) coffee … while filtered coffee, percolated coffee, and instant coffee contain …",
"authors": [
{
"name": "B Frei",
"link": "https://scholar.google.com/citations?user=H_Fk05wAAAAJ&hl=en&oi=sra",
"author_id": "H_Fk05wAAAAJ"
}
],
"inline_links": {
"versions": {
"total": "All 17 versions",
"link": "https://scholar.google.com/scholar?cluster=9616587587181684093&hl=en&as_sdt=0,5",
"cluster_id": "9616587587181684093"
},
"cited_by": {
"total": "Cited by 1657",
"link": "https://scholar.google.com/scholar?cites=9616587587181684093&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:fSVlrXX7dIUJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
},
"resources": [
{
"title": "tandfonline.com",
"type": "PDF",
"link": "https://www.tandfonline.com/doi/pdf/10.1080/10408390500400009"
}
]
},
{
"title": "Coffee: recent developments",
"title_link": "https://books.google.com/books?hl=en&lr=&id=jIFY_Pz8LH0C&oi=fnd&pg=PR3&dq=coffee&ots=ODLvSmlqWC&sig=dOzOLGKhZ9ikH1Fz1kx1nmiFAGg",
"id": "31GOrHWBl_AJ",
"type": "[BOOK]",
"displayed_link": "R Clarke, OG Vitzthum - 2008 - books.google.com",
"snippet": "… The physiological effects of coffee drinking are considered in a fascinating chapter on coffee and health. Agronomic aspects of coffee breeding and growing are covered specifically in …",
"authors": [
{
"name": "R Clarke",
"link": "https://scholar.google.com/citations?user=emScaM4AAAAJ&hl=en&oi=sra",
"author_id": "emScaM4AAAAJ"
}
],
"inline_links": {
"versions": {
"total": "All 6 versions",
"link": "https://scholar.google.com/scholar?cluster=17336467632992178655&hl=en&as_sdt=0,5",
"cluster_id": "17336467632992178655"
},
"cited_by": {
"total": "Cited by 346",
"link": "https://scholar.google.com/scholar?cites=17336467632992178655&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:31GOrHWBl_AJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
}
},
{
"title": "Modern coffee production.",
"title_link": "https://www.cabidigitallibrary.org/doi/full/10.5555/19620307408",
"id": "FFi6LNmpQ_kJ",
"displayed_link": "AE Haarer - 1962 - cabidigitallibrary.org",
"snippet": "… rather overemphasized, is that coffee does not do well when … -coffee and on coffee genetics contain a wealth of technical material but may prove a little indigestible to the average coffee …",
"authors": [],
"inline_links": {
"versions": {
"total": "All 8 versions",
"link": "https://scholar.google.com/scholar?cluster=17961386489107077140&hl=en&as_sdt=0,5",
"cluster_id": "17961386489107077140"
},
"cited_by": {
"total": "Cited by 211",
"link": "https://scholar.google.com/scholar?cites=17961386489107077140&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:FFi6LNmpQ_kJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
}
},
{
"title": "Coffee",
"title_link": "https://books.google.com/books?hl=en&lr=&id=Kn_OBAAAQBAJ&oi=fnd&pg=PT7&dq=coffee&ots=ILAzQdivj4&sig=Iwx0PrY1nOc_xDXIVSvm6Fm7oJ8",
"id": "7XxNU5BDBJUJ",
"type": "[BOOK]",
"displayed_link": "G Fridell - 2014 - books.google.com",
"snippet": "… , the history of coffee is replete with examples of coffee states employing … coffee industry and argue that coffee statecraft has continued to play a central role in shaping the global coffee …",
"authors": [],
"inline_links": {
"versions": {
"total": "All 3 versions",
"link": "https://scholar.google.com/scholar?cluster=10737781698710043885&hl=en&as_sdt=0,5",
"cluster_id": "10737781698710043885"
},
"cited_by": {
"total": "Cited by 74",
"link": "https://scholar.google.com/scholar?cites=10737781698710043885&as_sdt=2005&sciodt=0,5&hl=en"
},
"related_pages_link": "https://scholar.google.com/scholar?q=related:7XxNU5BDBJUJ:scholar.google.com/&scioq=coffee&hl=en&as_sdt=0,5"
}
}
],
"related_searches": [
{
"title": "coffee shop",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=1&q=coffee+shop&qst=ib"
},
{
"title": "coffee consumption",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=2&q=coffee+consumption&qst=ib"
},
{
"title": "coffee grounds",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=3&q=coffee+grounds&qst=ib"
},
{
"title": "coffee beans",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=4&q=coffee+beans&qst=ib"
},
{
"title": "coffee caffeine",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=5&q=coffee+caffeine&qst=ib"
},
{
"title": "spent coffee",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=6&q=spent+coffee&qst=ib"
},
{
"title": "starbucks coffee",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=7&q=starbucks+coffee&qst=ib"
},
{
"title": "arabica coffee",
"link": "https://www.google.com/scholar?hl=en&as_sdt=0,5&qsp=8&q=arabica+coffee&qst=ib"
}
],
"pagination": {
"current": 1,
"page_no": {
"1": "https://www.scholar.google.com/scholar?start=10&q=coffee&hl=en&as_sdt=0,5",
"2": "https://www.scholar.google.com/scholar?start=20&q=coffee&hl=en&as_sdt=0,5",
"3": "https://www.scholar.google.com/scholar?start=30&q=coffee&hl=en&as_sdt=0,5",
"4": "https://www.scholar.google.com/scholar?start=40&q=coffee&hl=en&as_sdt=0,5",
"5": "https://www.scholar.google.com/scholar?start=50&q=coffee&hl=en&as_sdt=0,5",
"6": "https://www.scholar.google.com/scholar?start=60&q=coffee&hl=en&as_sdt=0,5",
"7": "https://www.scholar.google.com/scholar?start=70&q=coffee&hl=en&as_sdt=0,5",
"8": "https://www.scholar.google.com/scholar?start=80&q=coffee&hl=en&as_sdt=0,5",
"9": "https://www.scholar.google.com/scholar?start=90&q=coffee&hl=en&as_sdt=0,5"
}
}
},
"requestId": "f46619fb-510c-433a-b2f0-707a8623dcf9",
"timestamp": 1772166721709
}